Subject: Re: [Bugme-new] [Bug 14749] New: Kernel locks up after a few minutes of heavy surfing

From: Eric Dumazet <[email-masked]>
Date: Tue, 08 Dec 2009 12:21:12 +0100

Chris Rankin a écrit :
> --- On Tue, 8/12/09, Eric Dumazet <[email-masked]> wrote:
>> Its all two years old UDP bugs (I spot another one some
>> hours ago), and very rare.
> 
>> I am quite suprised it could happen on your machine on
>> demand.
> 
> Who said anything about "on demand"? It took about 30 minutes to freeze last time; 
> I was starting to think that a complete recompile had fixed it!
> 

30 minutes is pretty fast, this is why I said 'on demand'...

> For the record: I've only seen that dmesg warning I've reported *once*, and that didn't kill the machine immediately (hence I was able to report it in the first place).
> 
>> 1) Do you have another NIC adapter to try ? It might be a
>> buggy driver. (Neil Horman found an error on Intel drivers some
>> hours ago, that can corrupt skbs)
> 
> I can test any patches for a e1000 that apply to 2.6.31.x. But the e1000 is an on-board device and I don't have another. But Fedora's 2.6.31.x kernels seem OK.
> 
>> 2) Could you add following debugging aid ?
> 
> Not a problem; I do have a serial console attached.
> 
>> 3) Any chance you can do a git bisect ?
> 
> How do you git-bisect a bug that you can't reproduce on demand? A negative is easy to spot, but a positive would be not experiencing a random freeze. As I said, I *almost* thought that I'd resolved the issue by recompiling last night.
> 

Please fold your lines length to < 70 

If Fedora kernel works, either its just pure luck, or they found
a bug and they didnt sent the fix to mainline (unlikely)